> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neosantara.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve video job

> Get the current status and metadata for a previously created video job.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/videos/{video_id}
openapi: 3.1.0
info:
  title: Neosantara AI API
  description: OpenAI-compatible LLM Gateway
  version: 1.0.0
servers:
  - url: https://api.neosantara.xyz
    description: Neosantara Production Gateway
security:
  - bearerAuth: []
paths:
  /v1/videos/{video_id}:
    get:
      tags:
        - Videos
      summary: Retrieve video job
      description: Get the current status and metadata for a previously created video job.
      operationId: getV1VideosByVideoId
      parameters:
        - schema:
            type: string
          in: path
          name: video_id
          required: true
      responses:
        '200':
          description: Video job found
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                    const: video
                  created_at:
                    type: number
                  completed_at:
                    type:
                      - number
                      - 'null'
                  status:
                    type: string
                  model:
                    type: string
                  progress:
                    type: number
                  prompt:
                    type: string
                  seconds:
                    anyOf:
                      - type: string
                      - type: number
                  size:
                    type: string
                  error:
                    type:
                      - object
                      - 'null'
                    properties:
                      code:
                        type: string
                      message:
                        type:
                          - string
                          - 'null'
                    required:
                      - code
                      - message
                required:
                  - id
                  - object
                  - created_at
                  - completed_at
                  - status
                  - model
                  - progress
                  - prompt
                  - seconds
                  - size
                  - error
        '404':
          description: Video not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      type:
                        type: string
                      param:
                        type:
                          - string
                          - 'null'
                      code:
                        type:
                          - string
                          - 'null'
                    required:
                      - message
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      type:
                        type: string
                      param:
                        type:
                          - string
                          - 'null'
                      code:
                        type:
                          - string
                          - 'null'
                    required:
                      - message
                required:
                  - error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Create video job](/api-reference/videos/create-video-job.md)
- [Download generated video](/api-reference/videos/download-generated-video.md)
- [Retrieve batch](/api-reference/batches/retrieve-batch.md)
- [Integrasi Webhook](/id/guides/webhooks.md)
- [Generasi Video](/id/gateway/capabilities/video-generation.md)
